## com.TwentyCodes.android.location
Class MapView

    java.lang.Object
      com.google.android.maps.MapView
          com.TwentyCodes.android.location.MapView

    public class MapView

extends MapView

We use this MapView Because it has double tap zoom capability

Author:
  ricky barrette

Constructor Summary
`MapView(Context context, AttributeSet attrs)`
`MapView(Context context, AttributeSet attrs, int defStyle)`
`MapView(Context context, String apiKey)`

Method Summary
`boolean` `onInterceptTouchEvent(MotionEvent ev)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapView

    public MapView(Context context,
                   String apiKey)

Parameters:
  `context` -
  `apiKey` -

### MapView

    public MapView(Context context,
                   AttributeSet attrs)

Parameters:
  `context` -
  `attrs` -

### MapView

    public MapView(Context context,
                   AttributeSet attrs,
                   int defStyle)

Parameters:
  `context` -
  `attrs` -
  `defStyle` -

Method Detail

### onInterceptTouchEvent

    public boolean onInterceptTouchEvent(MotionEvent ev)